Name:       nodejs-rimraf
Version:    2.0.1
Release:    1%{?dist}
Summary:    A deep deletion module for node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/rimraf
Source0:    http://registry.npmjs.org/rimraf/-/rimraf-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
%summary (like `rm -rf`).

%prep
%setup -q -n package

# point to the right node.js binary so we can run tests
sed -i s/node/nodejs/g test/run.sh

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/rimraf
cp -pr rimraf.js package.json %{buildroot}%{nodejs_libdir}/rimraf

%check
cd test
bash run.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/rimraf
%doc AUTHORS LICENSE README.md

%changelog
* Thu Feb 09 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.1-1
- new upstream release 2.0.1

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.9-1
- new upstream release

* Tue Aug 23 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-1
- initial package
